body {
  background-image: url("../images/global/background.png");
  background-size: 100vw 100vh;
  background-repeat: no-repeat;
  position: relative;
  overflow: hidden;
  color: white;
  user-select: none;
}
p.cc,
p.ccp {
  position: absolute;
  bottom: 5vh;
  right: 1vw;
  color: white;
}
p.ccp {
  bottom: 1vh;
}

/*de index*/
.help_text_parent {
  position: absolute;
  top: 37vh;
  left: 25vw;
  z-index: 10000;
}
.help_text_parent button {
  height: 4vh;
  width: 2vw;
  right: 0;
  font-size: 1vw;
  background: none;
  color: rgb(38, 130, 161);
  cursor: pointer;
  font-weight: bold;
}
.help_text {
  padding-left: 1vw;
  padding-right: 1vw;
  padding-top: 2vh;
  padding-bottom: 2vh;
  background-color: rgb(10, 10, 10);
  border: 0.5vh solid rgb(20, 47, 56);
  border-radius: 1vh;
  max-width: 20vw;
  animation: helpTextBlink 1s linear 0s infinite alternate;
}
@keyframes helpTextBlink {
  0% {
    border-color: rgb(20, 47, 56);
  }
  50% {
    border-color: rgb(38, 130, 161);
  }
  100% {
    border-color: rgb(20, 47, 56);
  }
}
.help_icon {
  z-index: 10000;
  position: absolute;
  top: 27vh;
  left: 25vw;
  transform: translate(-50%, -50%);
  transform: scaleX(-1);
  width: 80px;
  height: 60px;
}

.help_arrow {
  position: absolute;
  top: 25px;
  width: 90%;
  height: 10px;
  background-color: #fff;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
  animation: arrow 700ms linear infinite;
}
.help_arrow::after,
.help_arrow::before {
  content: "";
  position: absolute;
  width: 60%;
  height: 10px;
  right: -8px;
  background-color: #fff;
}

.help_arrow::after {
  top: -12px;
  transform: rotate(45deg);
}

.help_arrow::before {
  top: 12px;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.2);
  transform: rotate(-45deg);
}

section.setAbsolute {
  position: absolute;
  width: 100%;
}
/*de apps icons keyword: #dai1*/
section.apps {
  position: relative;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  float: left;
  height: 92vh;
  padding: 4vh 2vw 4vh 2vw;
}

div.app,
.appPower {
  position: relative;
  height: 16vh;
  width: 12vw;
  border-radius: 1vh;
  padding: 1vh 0vw 1vh 0vw;
  border: 0.2vh solid rgba(255, 255, 255, 0);
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  transition: 300ms;
  scale: 0.7;
}
.appPower {
  position: absolute;
  top: 5vh;
  right: 2vw;
}

div.app:hover,
.appPower:hover {
  border: 0.2vh solid white;
  background-color: rgba(255, 255, 255, 0.1);
}

img.app {
  height: 12vh;
  width: 6vw;
  scale: 0.8;
}

h1.app {
  height: 4vh;
  font-size: 1.5vw;
}
/*de tabs keyword: #dtbs1*/
section.tabs {
  position: relative;
}
#tab-parent {
  z-index: 100;
}
div.tab {
  width: 40vw;
  position: absolute;
  display: none;
  flex-direction: column;
  overflow: hidden;
  box-shadow: 0px 5px 10px 5px rgb(25, 25, 25);
  border-radius: 1vh;
  z-index: 1;
}

div.tab-nav {
  height: 5vh;
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgb(80, 150, 175);
  cursor: default;
}

img.tab-nav,
.tab-close {
  height: 5vh;
  width: 2.5vw;
  scale: 0.6;
  padding: 0vh 1vw 0vh 1vw;
}

h1.tab-nav {
  font-size: 1.2vw;
}
.tab-close {
  position: absolute;
  right: 1vw;
  cursor: pointer;
}

/* /De tabpc/---------------------------------------------------------------------------------------------------------------------- */
#tabPc {
  top: 5vh;
  left: 20vw;
}
.user_info {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 10vh;
  width: 100%;
  padding-top: 5vh;
}
div.about {
  padding: 2vh 4vw 2vh 3vw;
  height: 19vh;
}
div.socials {
  display: flex;
  flex-direction: column;
  align-items: center;
}
div.socialAlgin {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  width: 85%;
}
div.socialAlgin span {
  position: absolute;
  cursor: pointer;
  font-size: 2vw;
  left: 10vw;
}
.show_target_bitcoins {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.show_target_bitcoins_img {
  width: 50px;
}
.show_target_bitcoins_bit {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 4vh;
  padding-left: 1vw;
  padding-right: 1vw;
  background-color: rgb(0, 100, 83);
  border: 0.3vh solid white;
  margin-top: 1vh;
  margin-bottom: 1vh;
  border-radius: 1vh;
}

#personadd {
  color: rgb(80, 150, 175);
}
#personiddone {
  color: limegreen;
}
#personremove {
  color: red;
}
div.socialAlgin div {
  display: flex;
  flex-direction: row;
  align-items: center;
}
div.socialAlgin div p {
  margin: 1vh 1vw 1vh 1vw;
  font-size: 1vw;
}
div.socialAlgin div img {
  height: 4vh;
  width: 2vw;
  margin: 0vh 0.5vw 0vh 0.5vw;
}
div.btnBodyTarget {
  margin-bottom: 10vh;
  height: 30vh;
  width: 100%;
  display: -webkit-inline-flex;
  flex-direction: column;
  align-items: center;
}
button.hackingbtn,
button.hackingbtn2 {
  height: 5vh;
  width: 20vw;
  border-radius: 1vh;
  font-size: 1.5vw;
  border: none;
  color: white;
  cursor: pointer;
  background-color: #4b0000;
}
button.hackingbtn2 {
  background-color: rgb(0, 100, 83);
}
img.userInfo {
  height: 10vh;
  width: 5vw;
  margin-left: 3vw;
  border-radius: 50%;
  border: white solid 0.3vh;
}
h1.userInfo {
  margin-left: 2vw;
  font-size: 1.5vw;
  width: 11vw;
  white-space: none;
  overflow: hidden;
  text-overflow: ellipsis;
}
div.userInfo {
  height: 10vh;
  margin-left: 1vw;
  display: flex;
  flex-direction: column;
}
div.aoisncasn {
  display: flex;
  flex-direction: row;
}
div.tab-body {
  position: relative;
  height: 100%;
  width: 100%;
  background-color: rgb(20, 20, 20);
  color: white;
  overflow-y: auto;
}
div.tab-body::-webkit-scrollbar {
  display: none;
}

.productmedal {
  display: flex;
  flex-direction: row;
  height: 5vh;
  margin-left: 0.5vw;
  width: 10vw;
}
.badgeImage {
  height: 5vh;
  width: 2.5vw;
  scale: 0.9;
}

/* scroll bar */
::-webkit-scrollbar {
  height: 1vh;
  width: 1vw;
}
::-webkit-scrollbar-track {
  box-shadow: 0px 0px 10px 5px rgb(41, 41, 41);
}
::-webkit-scrollbar-thumb {
  background-color: rgb(80, 150, 175);
}
::-webkit-scrollbar-thumb:hover {
  background-color: rgb(60, 120, 150);
}

button.editprofile,
button.changeP {
  height: 5vh;
  width: 10vw;
  border-radius: 1vh;
  border: 0.2vh solid white;
  color: white;
  font-size: 1vw;
  background: none;
  cursor: pointer;
  transition: 300ms;
}
button.editprofile {
  margin-bottom: 2vh;
}
button.editprofile:hover,
button.changeP:hover {
  background-color: rgb(50, 50, 50);
}

/*update pc profile*/
#tabUpdatePc {
  width: 25vw;
  height: 80vh;
  top: 2vh;
  left: 1vw;
}
div#tabUpdatePcajax {
  padding-top: 5vh;
  display: flex;
  flex-direction: column;
  align-items: center;
}
div.updateP {
  height: 10vh;
  width: 20vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
div.updateP2 {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
button.changeP {
  width: 8vw;
}

.update_wachtwoord_form {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 20vw;
}
.update_wachtwoord_form span {
  font-weight: bold;
  color: white;
  margin-bottom: 2vh;
  margin-top: 2vh;
}
#passwordreqinf {
  margin-top: 2vh;
}
.update_wachtwoord_input,
.update_wachtwoord_password {
  margin-top: 2vh;
  border-radius: 1vh;
  height: 5vh;
  width: 100%;
  padding-left: 10%;
  background: none;
  border: none;
  border: 0.2vh solid white;
  color: white;
  outline: none;
  transition: 300ms;
}
.update_wachtwoord_password {
  padding: unset;
  cursor: pointer;
  background-color: rgb(40, 40, 40);
}

img.updateImage {
  height: 4vh;
  width: 2vw;
  border-radius: 50%;
}
h1.updateText,
p.updateText {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 10vw;
}
label.uploadFileImage {
  height: 5vh;
  width: 8vw;
  border-radius: 1vh;
  border: 0.2vh solid white;
  color: white;
  font-size: 1vw;
  background: none;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  transition: 300ms;
}
label.uploadFileImage:hover {
  background-color: rgb(50, 50, 50);
}
input[type="file"] {
  display: none;
}
input.changingIputProfile {
  background: none;
  color: white;
  outline: none;
  border: none;
  width: 10vw;
  padding-left: 1vw;
  padding-right: 1vw;
  border-bottom: 0.2vh solid white;
}
p.max3updateNmae {
  font-size: 0.8vw;
}

div#showUpdateImgDiv,
div#showUpdateNameDiv,
div#showUpdateDiscrDiv,
div#showUpdateWwDiv {
  display: none;
}

/* /miners/------------------------------------------------------------------------------------------------------------------------- */
#tabMiners {
  top: 15vh;
  left: 25vw;
  width: 25vw;
  height: 80vh;
}
#minersBody {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.miners_money,
.miners_earnings,
.miners_body {
  width: 90%;
  height: 10vh;
  background-color: rgba(0, 101, 49, 0.5);
  margin-top: 2vh;
  border-radius: 1vh;
  border: rgb(99, 99, 99) solid 0.1vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  color: white;
  transition: 300ms;
  cursor: default;
  font-size: 1vw;
}
.miners_money {
  height: 5vh;
  background: none;
}
/* .miners_body::-webkit-scrollbar {
    width: 1vw;
    border-radius: 1vh;
}
.miners_body::-webkit-scrollbar-track {
    box-shadow: 0px 0px 10px 5px rgb(41, 41, 41);
    border-radius: 1vh;
}
.miners_body::-webkit-scrollbar-thumb {
    background-color: rgb(80, 150, 175);
    border-radius: 1vh;
}
.miners_body::-webkit-scrollbar-thumb:hover {
    background-color: rgb(60, 120, 150);
} */
.miners_body {
  height: 60vh;
  border: none;
  border-radius: 0;
  background: none;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: baseline;
  /* overflow-y: auto; */
}
.miners {
  margin-top: 3vh;
  height: 12vh;
  width: 45%;
  background-color: rgb(50, 50, 50);
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 1vh;
  font-size: 0.8vw;
}
.miners_Lbody {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  width: 100%;
}
img.minerImg {
  height: 8vh;
  width: 4vw;
  scale: 0.8;
}

/* tab carts ----------------------------------------------------------------------------------------------------------------------*/

#tabCartOrder {
  top: 10vh;
  left: 5vw;
}
div.cart_body {
  width: 90%;
  margin-left: 5%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 2vh;
}
p.orderTxt {
  font-size: 1vw;
  text-align: center;
  margin-top: 3vh;
}
.item_aantal {
  position: absolute;
  top: 0;
  right: 0;
  height: 4vh;
  width: 2vw;
  border-radius: 50%;
  background-color: rgb(15, 15, 15);
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  font-weight: bold;
  font-size: 0.6vw;
}
div.ports {
  height: 10vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 30vw;
  margin-top: 1vh;
}
div.port {
  height: 5vh;
  width: 8vw;
  border: 0.1vh solid white;
  border-radius: 1vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  cursor: pointer;
  transition: 300ms;
}
div.port:hover {
  margin-top: -3vh;
}
div.orderCard {
  height: 20vh;
  width: 100%;
  border-radius: 2vh;
  background-color: rgb(40, 40, 40);
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 2vh;
  margin-bottom: 20vh;
}
img.orderImg {
  height: 15vh;
  width: 7.5vw;
  border-radius: 1vh;
  margin: 3vw;
}
div.orderInfo {
  height: 15vh;
  margin-left: 5vw;
}
div.orderInfo h1 {
  height: 7vh;
  font-size: 1.5vw;
  display: flex;
  flex-direction: row;
  align-items: center;
}
div.orderInfo button {
  height: 7vh;
  width: 15vw;
  border-radius: 2vh;
  font-size: 1vw;
  border: none;
  cursor: pointer;
  color: white;
  background-color: rgb(30, 30, 30);
  transition: 300ms;
}
div.orderInfo button:hover {
  background-color: rgb(50, 50, 50);
}
p.orderlogmessage,
p.selectPort {
  position: relative;
  transition: 300ms;
  scale: 0.1;
  text-align: center;
  color: rgb(20, 20, 20);
  height: 5vh;
  padding-left: 1vw;
  padding-right: 1vw;
  margin-bottom: 2vh;
}
p.selectPort {
  scale: 1;
  color: red;
  margin-top: 2vh;
}
p.playedoutp {
  color: white;
  font-size: 1.2vw;
}

#tabCart {
  top: 3vh;
  left: 10vw;
  height: 80vh;
  width: 70vw;
}
div.miner_market_parent {
  position: relative;
  padding-left: 3vw;
  padding-right: 3vw;
  padding-bottom: 5vh;
}
.my_bitcoins_cart_currency {
  position: absolute;
  right: 1vw;
  top: 2vh;
  height: 3vh;
  width: 13vw;
  padding-right: 2vw;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  background-color: rgba(0, 255, 123, 0.25);
  border: 0.2vh solid white;
  color: white;
  font-size: 0.8vw;
}
h1.miner_market_parent {
  font-size: 2vw;
  padding-top: 2vh;
  padding-bottom: 2vh;
}
div.miner_market {
  height: 30vh;
  width: 100%;
  display: flex;
  flex-direction: row;
  white-space: nowrap;
  overflow-x: auto;
}
div.miner_Item2 {
  position: relative;
  height: 25vh;
  width: 10vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-right: 2vw;
  border-radius: 1vh;
  transition: 300ms;
  cursor: pointer;
}
div.miner_Item2:hover {
  background-color: rgb(40, 40, 40);
}

img.miner_Item {
  height: 18vh;
  width: 9vw;
  scale: 0.7;
}
h1.miner_Item {
  font-size: 1vw;
}
p.miner_Item {
  font-size: 1vw;
  display: flex;
  flex-direction: row;
  align-items: center;
}

/* Targets -------------------------------------------------------------------------------------------------------------------------------*/
#tabTarget {
  top: 28vh;
  left: 45vw;
  height: 90vh;
  width: 70vw;
}
::-webkit-scrollbar {
  height: 1vh;
  width: 1vw;
}
.showtarget-scroller::-webkit-scrollbar-track {
  box-shadow: none;
}
::-webkit-scrollbar-thumb {
  background-color: rgb(80, 150, 175);
}
::-webkit-scrollbar-thumb:hover {
  background-color: rgb(60, 120, 150);
}
.showtarget-scroller {
  display: -webkit-inline-box;
  width: 70vw;
  overflow-y: auto;
}
#targetsAlgin {
  display: -webkit-inline-box;
  flex-direction: row;
  overflow-y: scroll;
}
.showtarget-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 22vw;
  margin-left: 1vw;
  margin-top: 2vh;
  margin-bottom: 2vh;
}
.showtarget-body {
  width: 90%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.showtarget-body::-webkit-scrollbar-track {
  box-shadow: none;
  background-color: rgb(30, 30, 30);
}
.target-searcher {
  position: relative;
  padding-left: 10%;
  height: 5vh;
  width: 90%;
  background: none;
  border: 0.2vh solid gray;
  border-radius: 1vh;
  color: white;
  background-color: rgb(30, 30, 30);
  outline: none;
  margin-bottom: 9vh;
}
hr.target_hr {
  width: 85%;
  /* margin-left: 7.5%; */
}
h1.target_hr {
  display: flex;
  justify-content: space-around;
  margin-top: 1vh;
  margin-bottom: 1vh;
  height: 5vh;
  font-size: 1.5vw;
}
#btnBodyTarget_1 {
  display: none;
}
.btnBodyTarget_button {
  width: 50%;
  height: 5vh;
  border: 0.2vh solid white;
  background: none;
  margin-top: 2vh;
  margin-left: 25%;
  border-radius: 1vh;
  color: white;
  font-size: 1vw;
  transition: 300ms;
  margin-bottom: 2vh;
  cursor: pointer;
}
.btnBodyTarget_button:hover {
  background-color: rgb(10, 10, 10);
}
.Place {
  position: relative;
  padding: 0.5vh 0 0.5vh 0;
  height: 5vh;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  cursor: pointer;
  transition: 300ms;
  border-radius: 1vh;
  margin-bottom: 1vh;
}
.Place:hover {
  background-color: rgb(25, 25, 25);
}
.ifonline_place {
  position: absolute;
  height: 1vh;
  width: 0.5vw;
  left: 0.2vw;
  top: 1vh;
  border-radius: 50%;
  z-index: 100;
}
div#target_firstplace {
  background-color: rgba(255, 166, 0, 0.3);
  border-radius: 1vh;
}
.Place h1 {
  font-size: 1vw;
}
.PlaceImage,
.CupImage,
.CupImage2 {
  height: 5vh;
  width: 2.5vw;
  margin-right: 1vw;
  scale: 0.8;
}
.CupImage,
.CupImage2 {
  margin-right: 1vw;
}
.CupImage2 {
  border-radius: 50%;
}
.goRightH1 {
  position: absolute;
  right: 1vw;
}
/* tabChat -------------------------------------------------------------------------------------------------------------------------------*/
#tabChat {
  top: 16vh;
  left: 40vw;
  height: 80vh;
  width: 73vw;
}
h1.firstshowingchat {
  font-size: 1vw;
  margin-top: 2vh;
  width: 40vw;
  margin-left: 1vw;
}
.nofriendsinchat {
  font-size: 2vw;
  width: 100%;
  text-align: center;
  margin-top: 5vh;
}
div.chat_body {
  display: flex;
  flex-direction: row;
}
div.chat-body {
  display: flex;
  flex-direction: column;
  height: 75vh;
}
div.chat_user {
  width: 25vw;
  height: 75vh;
  overflow-y: auto;
  overflow-x: hidden;
}
div.chat_user::-webkit-scrollbar-track {
  box-shadow: none;
}
div.chat_line {
  height: 75vh;
  width: 0.1vw;
  background-color: white;
}
div.chatUser {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 15vh;
  width: 20vw;
  border-radius: 2vh;
  margin: 2vh 1vw 0 1.5vw;
  background-color: rgb(50, 50, 50);
  cursor: pointer;
  transition: 300ms;
}
div.chatUser:hover {
  background-color: rgb(40, 40, 40);
}
div.chatUser img {
  height: 10vh;
  width: 5vw;
  margin-left: 1vw;
  border-radius: 50%;
}
div.chatUsr {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 10vh;
  width: 12vw;
  margin-left: 1vw;
}
div.chatUsr p {
  font-size: 0.8vw;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
div.chat_nav {
  height: 10vh;
  width: 50vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgb(50, 50, 50);
}
img.chatImage {
  height: 8vh;
  width: 4vw;
  border-radius: 50%;
  margin-right: 2vw;
}
div.chat {
  height: 50vh;
  width: 50vw;
  display: flex;
  flex-direction: column;
  background-color: rgb(40, 40, 40);
  overflow-y: auto;
}
div.chat::-webkit-scrollbar-track {
  box-shadow: none;
}
div.chat_input {
  height: 15vh;
  width: 50vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgb(50, 50, 50);
}
div.ifonline {
  height: 2vh;
  width: 1vw;
  border-radius: 50%;
  background-color: gray;
  margin: 0 2vw 0 3vw;
}
input.chatInput {
  height: 10vh;
  width: 25vw;
  margin-left: 5vw;
  outline: none;
  font-size: 1.5vw;
  border-radius: 1vh;
  background: none;
  border: none;
  color: white;
  transition: 300ms;
  padding-left: 2vw;
  padding-right: 3vw;
}
input:hover {
  background-color: rgb(40, 40, 40);
}
input::placeholder {
  color: white;
}
button.berichtVerzend,
button.berichtVerzendF {
  height: 7vh;
  width: 3.5vw;
  border-radius: 50%;
  border: none;
  cursor: pointer;
  background-color: rgb(60, 120, 150);
  color: white;
  transition: 300ms;
  margin: 0 1vw 0 1vw;
}
button.berichtVerzend:hover {
  background-color: rgb(91, 176, 219);
}
button.berichtVerzendF {
  background-color: rgb(50, 50, 50);
}
button.berichtVerzendF:hover {
  background-color: rgb(70, 70, 70);
}
p.Chatreceiver,
p.Chatsender {
  padding: 1vh 0.5vw 1vh 0.5vw;
  max-width: 20vw;
  border-radius: 1vh;
  margin: 2vh 2vw 2vh 2vw;
}
p.Chatsender {
  background-color: rgb(60, 120, 150);
  margin-left: auto;
}
p.Chatreceiver {
  background-color: gray;
  margin-right: auto;
}
/* tabCmd -------------------------------------------------------------------------------------------------------------------------------*/
#tabCmd {
  top: 10vh;
  left: 40vw;
}
div.cmd_userinfo {
  height: 7vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 1vw;
}
h1.cmd_userinfo_line {
  margin-left: 1vw;
  margin-right: 1vw;
}
h1.cmd_target_name {
  margin-left: 1vw;
  padding: 0.5vh 0.5vw 0.5vh 0.5vw;
  background-color: rgb(50, 50, 50);
  border: 0.2vh solid rgb(99, 99, 99);
}
img.cmd_target_img {
  height: 5vh;
  width: 2.5vw;
  margin-left: 1vw;
}
div.cmd_progress {
  position: relative;
  height: 4vh;
  width: 30vw;
  margin-left: 2vw;
  border: 0.3vh solid rgb(99, 99, 99);
}
div.cmd_progres {
  position: absolute;
  height: 4vh;
  width: 30vw;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}
div.cmd_progres div {
  position: relative;
  height: 3vh;
  width: 1vw;
  background-color: white;
}
div.cmd_progres_Head {
  right: 0;
  height: 4vh;
  width: 100%;
  position: absolute;
  background-color: rgb(20, 20, 20);
  z-index: 100;
  transition: 5000ms;
}
div.cmd_body {
  height: 50vh;
  width: 95%;
  padding: 2.5vh 2.5% 0vh 2.5%;
  overflow-y: auto;
  overflow-x: hidden;
  background-color: black;
}
div.codeline {
  white-space: pre;
}
div.cmd_body_input {
  height: 9vh;
  padding-top: 3vh;
  padding-bottom: 1vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  background-color: black;
}
div.showWhatToType,
div.WhatToType {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 3.5vh;
  width: 80%;
  margin-left: 10%;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: default;
}
h1.showWhatToType {
  height: 100%;
  padding: 0vh 1vw 0vh 1vw;
  border-radius: 1vh;
  margin-left: 1vw;
  font-weight: normal;
  font-size: 1vw;
  text-align: center;
  background-color: rgb(39, 87, 62);
  transition: 300ms;
  display: flex;
  flex-direction: row;
  align-items: center;
}
div.WhatToType {
  border: 0.2vh solid white;
}
div.WhatToType h1 {
  width: 2vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  font-size: 1vw;
}
div.WhatToType input {
  background: none;
  outline: none;
  border: none;
  color: white;
  font-size: 1vw;
  width: 80%;
}
div.cmdCompleted {
  height: 42vh;
  width: 100%;
  background-color: black;
  display: flex;
  flex-direction: column;
  align-items: center;
}
h1.compl1 {
  font-size: 2vw;
  color: rgb(63, 255, 150);
  margin-top: 5vh;
}
h1.compl2 {
  font-size: 1vw;
  font-weight: lighter;
}
button.compl3 {
  height: 7vh;
  width: 15vw;
  margin-top: 5vh;
  border-radius: 1vh;
  border: 0.3vh solid white;
  background-color: rgb(40, 100, 65);
  color: white;
  font-size: 1.5vw;
  cursor: pointer;
  transition: 300ms;
}
button.compl3:hover {
  background-color: rgb(63, 255, 150);
}
/* tabLeaderbord -------------------------------------------------------------------------------------------------------------------------------*/
#tabLeaderbord {
  top: 5vh;
  left: 18vw;
  height: 90vh;
  width: 70vw;
}

h1.lead_head {
  height: 10vh;
  width: 100%;
  font-size: 2vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

div.lead_rankedinfo,
div.lead_rankedinfo2 {
  position: absolute;
  height: 20vh;
  font-size: 1vw;
}
p.lead_rankedinfo {
  color: rgb(91, 176, 219);
  cursor: pointer;
  transition: 400ms;
}
p.lead_rankedinfo:hover {
  color: blue;
}
div.lead_rankedinfo {
  left: 2vw;
}
div.lead_rankedinfo2 {
  right: 2vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}
div.lead_yourRank {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 20vh;
  width: 20vw;
  margin-left: 25vw;
}
div.lead_yourRank h1,
div.lead_yourRank p {
  height: 3vh;
}
div.lead_yourRank img {
  height: 14vh;
  width: 6vw;
}
div.lead_allRanks {
  position: absolute;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  height: 30vh;
  width: 66vw;
  margin-left: 2vw;
  margin-top: 23vh;
  overflow: visible;
}
div.lead_rankBanner {
  height: 100%;
  width: 7vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}
div.lead_rankBannerBDY {
  position: relative;
  display: block;
  height: 90%;
  width: 100%;
  opacity: 0.8;
}
div#lead_bronze {
  background-color: #895623;
  border: 0.3vh solid #ffe1c3;
}
div#lead_silver {
  background-color: #c0c0c0;
  border: 0.3vh solid #ffffff;
}
div#lead_gold {
  background-color: #ffd700;
  border: 0.3vh solid #fff7c7;
}
div#lead_platinum {
  background-color: #add8e6;
  border: 0.3vh solid #e7f9ff;
}
div#lead_diamond {
  background-color: #00008b;
  border: 0.3vh solid #c5c5ff;
}
div#lead_master {
  background-color: #9370db;
  border: 0.3vh solid #e1d1ff;
}
div#lead_gmaster {
  background-color: #663399;
  border: 0.3vh solid #d8b2ff;
}
div#lead_legendary {
  background-color: #ff8c00;
  border: 0.3vh solid #ffd6a3;
}
div#lead_predator {
  background-color: #8b0000;
  border: 0.3vh solid #ff0000;
}
h1.lead_rankName {
  position: relative;
  font-size: 0.8vw;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  left: 0.2vw;
  z-index: 100;
  color: white;
  top: 1vh;
}
img.lead_rankBanner {
  position: absolute;
  top: 8vh;
  height: 14vh;
  width: 7vw;
}

div.leaderboards {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  top: 60vh;
  height: 50vh;
  width: 66vw;
  margin-left: 2vw;
  overflow-y: auto;
  padding-bottom: 10vh;
}
div.leaderboard {
  height: 50vh;
  width: 33vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}
h1.leaderboard {
  font-size: 1vw;
  height: 5vh;
  color: white;
}
div.leaderbord_plr {
  height: 45vh;
  width: 70%;
}

table.pointsaward,
table.pointsaward2 {
  border-collapse: collapse;
  width: 100%;
  color: white;
}
table.pointsaward td,
table.pointsaward th,
table.pointsaward2 td,
table.pointsaward2 th {
  padding: 1vh;
}
table.pointsaward td,
table.pointsaward th {
  border: 0.1vh solid #ddd;
}
tr.pointsaward,
tr.pointsaward2 {
  white-space: nowrap;
}
table.pointsaward td,
table.pointsaward2 td {
  text-align: center;
}
h1.pointsaward,
h1.pointsaward2 {
  margin-top: 1vh;
}
div.lead_extraSpace {
  position: relative;
  height: 10vh;
  margin-top: 65vh;
}
/* tabLogs -------------------------------------------------------------------------------------------------------------------------------*/
#tabLogs {
  top: 20vh;
  left: 35vw;
}
/* tabSettings -------------------------------------------------------------------------------------------------------------------------------*/
#tabSettings {
  top: 15vh;
  left: 20vw;
}
/* tabFriends -------------------------------------------------------------------------------------------------------------------------------*/
#tabFriends {
  top: 12vh;
  left: 33vw;
  height: 80vh;
  width: 60vw;
}
.push_friend_request,
.push_friend_beiinghacked {
  height: 4vh;
  width: 2vw;
  border-radius: 50%;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  top: 0;
  right: 10%;
  background-color: rgb(240, 50, 50);
}
h1.friend_h1_heading {
  margin-left: 4vw;
  font-size: 2vw;
  margin-top: 2vh;
}
div.rq1,
div.rq2 {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-top: 2vh;
}
div.frqbody {
  position: relative;
  height: 22vh;
  width: 53vw;
  margin-left: 3.5vw;
  margin-top: 2vh;
  overflow: hidden;
  overflow-x: auto;
  display: -webkit-box;
  flex-direction: row;
  justify-content: space-between;
}
div.friendrqsts {
  height: 20vh;
  width: 16vw;
  padding: 0 0.5vw 0 0.5vw;
  margin-right: 0.4vw;
  margin-left: 0.4vw;
  background-color: rgb(30, 30, 30);
  border-radius: 2vh;
}
img.rqimage {
  height: 5vh;
  width: 2.5vw;
  border-radius: 50%;
  margin-right: 2vw;
  margin-left: 1vw;
}
button.rq2 {
  height: 5vh;
  width: 5vw;
  border-radius: 2vh;
  border: none;
  color: white;
  cursor: pointer;
  transition: 300ms;
}
button#rq2_Accept {
  background-color: rgb(80, 150, 175);
}
button#rq2_Decline {
  background-color: rgb(20, 47, 56);
}
button#rq2_Dismiss {
  background: none;
  border: 0.1vh solid gainsboro;
  color: gainsboro;
}
button.rq2:hover {
  filter: brightness(1.5);
}
h1.nofriendrequestH1Sign {
  height: 100%;
  width: 100%;
  font-size: 1vw;
  border-radius: 2vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  font-size: 2vw;
  background-color: rgb(40, 40, 40);
}

.frbody {
  position: relative;
  height: auto;
  width: 54vw;
  margin-left: 3.5vw;
  margin-top: 2vh;
  padding-right: 2vw;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  overflow-y: auto;
  height: 44vh;
}

div.friendscard {
  height: 20vh;
  width: 10vw;
  border-radius: 2vh;
  margin-top: 1.2vh;
  margin-right: 0.6vw;
  background-color: rgb(40, 40, 40);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  cursor: pointer;
}
#friendscardBTN {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}

img.friendscard {
  height: 10vh;
  width: 5vw;
  border-radius: 50%;
}
h1.friendscard {
  height: 5vh;
  font-size: 0.8vw;
}
/* targetProfile -------------------------------------------------------------------------------------------------------------------------------*/
#tabProfile {
  top: 18vh;
  left: 32vw;
}

/*extra*/
form.NOSHOW {
  border: none;
  background: none;
}
button.NOSHOW {
  border: none;
  background: none;
  width: 100%;
  height: 100%;
  color: white;
  font-size: 1vw;
  cursor: pointer;
}

/*warning*/
div.warning {
  position: absolute;
  height: auto;
  width: 20vw;
  overflow: hidden;
  font-size: 0.5vw;
  display: flex;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  z-index: 10000;
  transition: 300ms;
  color: white;
  margin-top: 8vh;
  border-radius: 2vh;
  overflow: hidden;
}
div.w_heading {
  height: 20%;
  width: 90%;
  padding: 6% 5% 6% 5%;
  font-size: 80%;
  background-color: #dd9e00;
}
div.w_body {
  height: auto;
  width: 90%;
  padding: 6% 5% 6% 5%;
  font-size: 1.5vw;
  background-color: #ffc021;
}

/*404 PHP*/
img.bannedBackground {
  position: absolute;
  left: 5vw;
  height: 100%;
  width: 40%;
  overflow: visible;
  user-select: none;
}
div.banned_message {
  position: absolute;
  top: 5vh;
  right: 10vw;
  height: 80%;
  width: 40%;
  z-index: 1000;
  cursor: default;
  user-select: none;
}
h1.banned_head,
p.banned_description {
  padding-left: 2vw;
  height: 10vh;
  width: 100%;
  font-size: 2vw;
  user-select: none;
  color: black;
  font-family: "Poppins", sans-serif;
}
p.banned_description {
  padding-right: 2vw;
  width: 90%;
  height: 60vh;
  font-size: 1vw;
}
div.banned_back {
  position: absolute;
  top: 80vh;
  right: 10vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  user-select: none;
}
div.banned_back p {
  margin-right: 2vw;
}
button.banned_back {
  height: 5vh;
  width: 15vw;
  border-radius: 1vh;
  border: none;
  background-color: gray;
  color: black;
  cursor: pointer;
}
h1.geenlessenbeschikbaar {
  font-size: 5vw;
  text-align: center;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: gray;
}
button.backtohome {
  position: absolute;
  height: 10vh;
  width: 20vw;
  border: none;
  background-color: white;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
  bottom: 10vh;
  right: 5vw;
  font-size: 2vw;
  cursor: pointer;
  border-radius: 1vh;
  z-index: 1000;
}

/* tab inventory -------------------------------------------------------------------------------------------------------------------------------*/
#tabInventory {
  top: 18vh;
  left: 37vw;
  width: 60vw;
  height: 80vh;
}
.ineventory-heeader-header {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  overflow-y: auto;
  user-select: none;
}
.ineventory-heeader {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
.ihavebeenblocked {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: red;
  width: 100%;
  padding-bottom: 5vh;
  padding-top: 2vh;
}

.ineventory-item {
  position: relative;
  height: 25vh;
  margin-left: 1vw;
  width: 90%;
  margin-top: 2vh;
  display: flex;
  flex-direction: row;
  border-radius: 1vh;
  padding-left: 2%;
  
}

#showplayerswhohackme {
  position: relative;
  display: flex;
  flex-direction: row;
}

.ineventory-div1,
.ineventory-div2,
.ineventory-div3 {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 100%;
}
.ineventory-div2,
.ineventory-div3 {
  width: 12vw;
  margin-left: 2vw;
  overflow: visible;
}
.ineventory-div3 {
  width: 30vw;
}

.ineventory-title {
  height: 20%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  font-size: 1vw;
}
.ineventory-item-img {
  height: 80%;
}

.ineventory-title2,
.ineventory-title3,
.ineventory-securitycounter {
  height: 22%;
  width: 100%;
  border: 0.2vh solid white;
  border-radius: 2vh;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  margin-top: 1vh;
}
.ineventory-securitycounter {
  border: none;
  font-weight: bold;
  height: 50%;
  font-size: 2vw;
}
.progressionbar-head {
  position: relative;
  width: 100%;
  height: 10%;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: rgb(30, 30, 30);
  border-radius: 1vh;
  overflow: hidden;
}
.progressionbar {
  position: relative;
  height: 100%;
  background-color: rgb(150, 0, 0);
}

.playerwhohackyou-head {
  position: relative;
  height: 60%;
  overflow: hidden;
  overflow-y: auto;
  width: 100%;
  margin-top: 5%;
}
.playerwhohackyou-handler {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
.heighthandleer10vh {
  height: 10vh;
}

.playerwhohackyou-person-head,
.blockableplayer {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  margin-top: 1vh;
  width: 100%;
  border-radius: 2vh;
  overflow: hidden;
  background-color: rgb(30, 30, 30);
  cursor: pointer;
}
.playerwhohackyou-html-img {
  width: 15%;
}
.userimage {
  border-radius: 50%;
}
.playerwhohackyou-html-h1 {
  width: 60%;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.no-threats {
  color: rgb(0, 200, 167);
}
.no-threats2 {
  color: rgb(150, 0, 0);
}

.threatblink {
  animation: blinkRedToWhite 1s infinite;
}
.push_friend_beiinghacked {
  display: none;
  animation: blinkRedToWhite2 1s infinite;
  height: 2vh;
  width: 1vw;
  top: 2vh;
  right: 20%;
}
#showbloackableplayers {
  position: relative;
  width: 90%;
}
.blockableplayers-head {
  position: relative;
  height: 100%;
  overflow: hidden;
  overflow-y: auto;
  margin-left: 5%;
  margin-right: 5%;
}
.blockableplayers-head-handler {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.blockableplayer {
  padding-top: 2vh;
  padding-bottom: 2vh;
  width: 90%;
  padding-left: 5%;
  padding-right: 5%;
}

.blockableplayer-left,
.blockableplayer-right {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 70%;
}
.blockableplayer-right {
  width: 30%;
  height: 100%;
}
.playerwhohackyou-html-img2 {
  width: 10%;
  margin-right: 1vw;
}

.blockplaybutton {
  width: 90%;
  background-color: rgb(150, 0, 0);
  color: white;
  font-weight: bold;
  border-radius: 1vh;
  padding-top: 0.5vh;
  padding-bottom: 0.5vh;
  font-size: 1.5vw;
  border: 0.2vh solid white;
  cursor: pointer;
  transition: 300ms;
  margin-top: 3vh;
}
.blockplaybutton:hover {
  background-color: rgb(40, 40, 40);
  color: red;
  border: 0.2vh solid red;
}
.blockableplayers-ports {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
.ineventory-title3 {
  padding-top: 0.5vh;
  padding-bottom: 0.5vh;
  width: 30%;
}
.buytoblock {
  margin-top: 2vh;
}

@keyframes blinkRedToWhite {
  0% {
    color: red;
  }
  50% {
    color: white;
  }
  100% {
    color: red;
  }
}
@keyframes blinkRedToWhite2 {
  0% {
    background-color: red;
  }
  50% {
    background-color: white;
  }
  100% {
    background-color: red;
  }
}

.log-parent {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  height: 100%;
  width: 100%;
}
.log-body {
  position: relative;
  max-height: 75vh;
  width: 80%;
  padding-top: 5%;
  padding-left: 5%;
  padding-right: 5%;
  border-radius: 1vh;
  display: flex;
  flex-direction: column;
  user-select: none;
}
.log {
  position: relative;
  font-size: 0.8vw;
  background-color: black;
  padding-left: 2 rem;
}

.typlog1 {
  color: rgb(0, 81, 255);
  text-transform: uppercase;
}
.typlog2 {
  color: rgb(255, 0, 0);
  text-transform: uppercase;
}
.typlog3 {
  color: rgb(255, 255, 0);
  text-transform: uppercase;
}

div.tip:hover {
  cursor: help;
}
div.tip span {
  display: none;
}
div.tip:hover span {
  padding: 1vh 1vw 1vh 1vw;
  display: block;
  z-index: 100;
  cursor: pointer;
  font-family: "Poppins", sans-serif;
  position: absolute;
  background: rgb(25, 25, 25);
  border: rgb(60, 120, 150) 5px solid;
  top: -7vh;
  left: 0;
  text-decoration: none;
  border-radius: 1vh;
  animation: helpTextBlink 1s linear 0s infinite alternate;
  font-size: 1vw;
}
